# PyTimeVar

A Python package for Time Varying Models for Time Series

## Purpose of the Package

The PyTimeVar package provides tools for analyzing and modeling time-varying properties in time series data. It is designed to facilitate the creation, evaluation, and visualization of time-varying models.

## Features

- Time-varying parameter estimation using boosted HP filter and local linear regression.
- Advanced time series decomposition.
- Visualization tools for time-varying models.
- Easy integration with popular data analysis libraries such as pandas and numpy.
- Comprehensive dataset loading and filtering utilities.

## Getting Started

To run the test files you need to install poetry and run poerty shell while in the TimeVarModels dir this spins up a shell with the TimeVarModel package installed.

Then you can do python test_trend.py or python test_confidencebands.py

```

```
